UI::Util::Cap Class Reference

C++ encapsulation for libcap's 'cap_t'. More...

`#include <Cap.hpp>`

Collaboration diagram for UI::Util::Cap:

## Public Types

enum | InitType { Proc_ , Clear_ }

## Public Member Functions

| Cap (InitType const &initType=Proc_)
| Construct from process state, or cleared with proc=false.
| Cap (std::string const &s, InitType const &initType=Proc_)
| Construct from textual representation (see man cap_from_text(3)).
| Cap (Cap const &cap)
Cap & | apply ()
bool | operator== (Cap const &cap) const
std::string const | get () const
| Get textual representation (see man cap_to_text(3)).

## Detailed Description

C++ encapsulation for libcap's 'cap_t'.

The documentation for this class was generated from the following files:

- Cap.hpp
- Cap.cpp